Treasury
Set spend cap
PUT
Requires scope wallets:write.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
application/json- body
treasury?booleanWhich wallet the cap applies to.
Default
truesignerId*stringLength
1 <= lengthasset*stringLength
1 <= lengthlimitBaseUnits*stringMatch
^\d+$windowSeconds?integerRange
0 < valueonChain?Links this cap to its on-chain allowance.
Response Body
200application/json
Cap stored. onChain describes the on-chain half when one was requested.
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X PUT 'https://api.pilot.shiga.io/v1/limits' \ -H 'Authorization: Bearer sk_test_...' \ -H 'Content-Type: application/json' \ -d '{ "signerId": "string", "asset": "string", "limitBaseUnits": "string"}'Example Response
{ "data": { "status": "ok", "onChain": { "chain": "base", "safeAddress": "string", "userOp": {}, "userOpHash": "string" } }, "status": 200, "success": true}